<!doctype html>
<html>
  <head>
    <title>Příklady PHP</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="ukazky.css">
    <link rel="stylesheet" href="formulare.css">
    <script type="text/javascript">
    function kontrola() {
      //funkce vrátí false, pokud nebudou správně vyplněna data a zruší odeslání formuláře
      var zprava="";  //zůstane-li prázdná, budeme moct odeslat formulář
      if(document.getElementsByName("kategorie")[0].value==""){zprava+="Nebyla vybrána kategorie\n";}
      if(document.getElementsByName("vyrobce")[0].value==""){zprava+="Nebyl vybrán výrobce\n";}
      if(document.getElementsByName("nazev")[0].value==""){zprava+="Nebyl zadán název\n";}

      var regCena = "/^[0-9]{1,5}$/"; // regulární výraz: 1 až 5 číslic - zadáno pomocí lomítek místo RegExp
      if(!document.getElementsByName("cena")[0].value.match(regCena)){zprava+="Nebyla zadána cena - celé číslo\n";}

      //jiný způsob řešení regulárního výrazu pro cenu
      //var regCena = new RegExp("^[0-9]{1,5}$"); // regulární výraz: 1 až 5 číslic
      //if(!regCena.test(document.getElementsByName("cena")[0].value)){zprava+="Nebyla zadána cena - celé číslo\n";}

      if(document.getElementsByName("stav")[0].checked==false && document.getElementsByName("stav")[1].checked==false && document.getElementsByName("stav")[2].checked==false){zprava+="Nebyl zvolen stav\n";}

      if(zprava=="") return true;
      else {
        alert(zprava);
        return false;
      }
    }
    </script>
  </head>
  <body>
  <div>
    <header>PHP administrace - databáze výrobky</header>
    <nav><?php include "menu.php"; ?></nav>
    <article>
    <h1>Vložení nového záznamu do tabulky vyrobky</h1>
    <?php
    include 'spojeni.php'; // 1 - vytvoření objektu $spojeni a 2 - nastavení UTF-8

    if(!isset($_POST["ulozit"])) {  // 3 - zjištění zda byl odeslán formulář - metoda POST, ulozit je name odesílacího tlačítka
      // když $_POST["ulozit"] neexistuje - formulář ještě nebyl odeslán
      // 3.1 - vytvoření formuláře pro zadání dat
      ?>
      <form method="post" onsubmit="return kontrola()">
      <label>Kategorie</label>
      <select name="kategorie">
        <option value="">&nbsp;</option>
        <?php
          $dotaz=$spojeni->prepare("SELECT id,kategorie FROM kategorie ORDER BY kategorie");
          $dotaz->bind_result($id,$kategorie);
          $dotaz->execute();
          while($dotaz->fetch()) {
            echo "<option value='$id'>$kategorie</option>\n";
          }
          $dotaz->close();
        ?>
      </select><br>
      <label>Výrobce</label>
      <select name="vyrobce">
        <option value="">&nbsp;</option>
        <?php
          $dotaz=$spojeni->prepare("SELECT id,nazev FROM vyrobci ORDER BY nazev");
          $dotaz->bind_result($id,$nazev);
          $dotaz->execute();
          while($dotaz->fetch()) {
            echo "<option value='$id'>$nazev</option>\n";
          }
          $dotaz->close();
        ?>
      </select><br>

      <label>Název výrobku</label><input type="text" name="nazev" maxlength="30"><br>
      <label>Cena bez DPH</label><input type="number" name="cena" min="1"><br>
      <label>Skladem</label><input type="checkbox" name="skladem" value="1"><br>
      <label>Stav zboží</label><input type="radio" name="stav" value="n"> nové
                               <input type="radio" name="stav" value="o"> opravené
                               <input type="radio" name="stav" value="v"> vystavené<br>
      <label>Popis</label><br><textarea name="popis"></textarea><br>
      <input type="submit" name="ulozit" value="Uložit">
      </form>
      <?php
    } // konec části 3 - konec formuláře pro zadání dat

    else {  // 4 - $_POST["ulozit"] existuje - formulář byl odeslán
      // 4.1 - kontrola dat - prázdné povinné údaje nebo data neodpovídajícího formátu
      $zprava=""; //zůstane-li prázdná, můžou se data uložit
      if($_POST["kategorie"]=="") {$zprava.="Nebyla zadána kategorie. ";}
      if($_POST["vyrobce"]=="") {$zprava.="Nebyl zadán výrobce. ";}
      if($_POST["nazev"]=="") {$zprava.="Nebyl zadán název. ";}
      //if($_POST["cena"]=="" || !is_numeric($_POST["cena"])) {$zprava.="Nebyla zadána cena - číslo. ";}
      //cenu můžeme zkontrolovat funkcí is_numeric nebo regulárním výrazem
      if(!preg_match("/^[0-9]{1,}$/",$_POST["cena"])) {$zprava.="Nebyla zadána cena - celé číslo. ";}
      if(!isset($_POST["stav"])){$zprava.="Nebyl určen stav výrobku. ";}  //nezvolené radio nevytvoří proměnnou

      if($zprava!="") {echo "<h2 class='chyba'>Data nemohla být vložena</h2> <h3 class='chyba'>$zprava</h3> <p>V případě použití funkce JavaScriptu by nedošlo k&nbsp;odeslání a&nbsp;vymazání formuláře.</p> <a href='vlozeni.php' class='tlacitko'>Zadat záznam znovu</a>";}
      else {
        // když je $zprava prázdná - všechny údaje byly v pořádku
        // 4.2 - vytvoření proměnné z nezaškrtnutého zaškrtávacího pole - nezaškrtnutý checkbox nevytvoří proměnnou
        if(!isset($_POST["skladem"])){$_POST["skladem"]=0;}
        // 4.3 - připravení dotazu pro vložení záznamu do tabulky
        $dotaz=$spojeni->prepare("INSERT INTO vyrobky (id_kategorie,id_vyrobce,nazev,cena,stav,skladem,popis) VALUES(?,?,?,?,?,?,?)");
        // 4.4 - přiřazení vstupních parametrů - budou dosazeny za otazníky (první řetězec určuje typy hodnot: i-integer, s-string, d-double)
        $dotaz->bind_param("iisiiis",$_POST["kategorie"],$_POST["vyrobce"],$_POST["nazev"],$_POST["cena"],$_POST["stav"],$_POST["skladem"],$_POST["popis"]);
        // 4.5 - spuštění dotazu - v podmínce - pokud se provede, vrací true
        if($dotaz->execute()) {
          echo "<h2>Data byla vložena</h2>";
          $id=$dotaz->insert_id;  //id vloženého záznamu
          echo "<a href='zobrazeni.php?id=$id' class='tlacitko'>Zobrazit záznam</a>";
          echo "<a href='vlozeni.php' class='tlacitko'>Vložit další záznam</a>";
        }
        else {echo "<h2 class='chyba'>Data nebyla vložena</h2>".$dotaz->error;}
        // 4.6 uzavření dotazu
        $dotaz->close();
        // 4.7 - odkaz zpět na výpis
        echo "<p><a href='vypis_administrace.php'>«&nbsp;Zpět na výpis</a></p>";
      }
    }
    ?>

    </article>
  </div>
  </body>
</html>
