<!doctype html>
<html>
  <head>
    <title>Příklady PHP</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="ukazky.css">
    <style>
      form {margin-bottom: 10px;}
      input[type=text],input[type=search] {width: 250px;}
      input[type=submit], form a {background-color:rgb(88,21,6) ; color:white; border-color: rgb(88,21,6);}
      form a {font-size: 95%; text-decoration: none; border: 1px solid rgb(88,21,6); padding: 0px 8px ;}
    </style>
  </head>
  <body>
  <div>
    <header>PHP výpisy - databáze výrobky</header>
    <nav><?php include "menu.php"; ?></nav>
    <article>
      <h1>Vyhledání podle zadaného názvu nebo části názvu</h1>
      <form method="get">
        <input type="search" name="hledat">
        <input type="submit" value="Najít">
        <a href="vyhledavani.php">Zobrazit vše</a>
      </form>
      <?php
      include "spojeni.php";  //připojení k MySQL a nastavení UTF8 - objekt $spojeni

      if(isset($_GET["hledat"])){
        // $_GET["hledat"] existuje, pokud se odeslal formulář s hledaným textem
        // ošetření SQL injection
        $_GET["hledat"]=$spojeni->real_escape_string($_GET["hledat"]);
        $podminka="WHERE vyrobky.nazev LIKE '%{$_GET["hledat"]}%'";
      }
      else {$podminka="";}

      //načtení dat z tabulek
      $dotaz=$spojeni->prepare("SELECT kategorie.kategorie,vyrobci.nazev AS znacka,vyrobky.nazev,cena FROM vyrobky JOIN kategorie ON vyrobky.id_kategorie=kategorie.id JOIN vyrobci ON vyrobky.id_vyrobce=vyrobci.id $podminka ORDER BY nazev");
      $dotaz->bind_result($kategorie,$znacka,$nazev,$cena);
      $dotaz->execute();
      //výpis dat do tabulky
      echo "<table>";
      echo "<tr><th>Kategorie</th><th>Značka</th><th>Název</th><th>Cena</th></tr>\n";
      while($dotaz->fetch()){
        echo "<tr><td>$kategorie</td><td>$znacka</td><td>$nazev</td><td>$cena</td></tr>\n";
      }
      echo "</table>";
      $dotaz->close();
      ?>

    </article>
  </div>
  </body>
</html>
