<!doctype html>
<html>
  <head>
    <title>Příklady PHP</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="ukazky.css">
    <style>
      form {margin-bottom: 10px;}
      input[type=text] {width: 250px;}
      input[type=submit], form a {background-color:rgb(88,21,6) ; color:white; border-color: rgb(88,21,6);}
      form a {font-size: 95%; text-decoration: none; border: 1px solid rgb(88,21,6); padding: 0px 8px ;}
    </style>
  </head>
  <body>
  <div>
    <header>PHP výpisy - databáze výrobky</header>
    <nav><?php include "menu.php"; ?></nav>
    <article>
      <h1>Vyhledání podle zadaného názvu nebo části názvu</h1>
      <?php
      // připojení k MySQL
      include "spojeni.php";
      if(isset($_GET["razeni"])){
        // $_GET["razeni"] existuje, pokud se kliklo na odkaz v nadpisu sloupce
        $razeni=$spojeni->real_escape_string($_GET["razeni"]);
      }
      else {$razeni="nazev";}
      if(isset($_GET["hledat"])){
        // $_GET["hledat"] existuje, pokud se odeslal formulář s hledaným textem
        $_GET["hledat"]=$spojeni->real_escape_string($_GET["hledat"]);  // ošetření SQL injection
        $podminka="WHERE vyrobky.nazev LIKE '%{$_GET["hledat"]}%'";
      } else {
        $_GET["hledat"]="";
        $podminka="";
      }
      // formulář
      echo "<form method='get'>
        <input type='hidden' name='razeni' value='$razeni'>
        <input type='text' name='hledat'>
        <input type='submit' value='Najít'>
        <a href='vyhledavani.php?razeni=$razeni'>Zobrazit vše</a>
      </form>";
      // načtení dat z propojených tabulek databáze
      $dotaz=$spojeni->prepare("SELECT kategorie.kategorie,vyrobci.nazev AS znacka,vyrobky.nazev,cena FROM vyrobky JOIN kategorie ON vyrobky.id_kategorie=kategorie.id JOIN vyrobci ON vyrobky.id_vyrobce=vyrobci.id $podminka ORDER BY $razeni");
      $dotaz->bind_result($kategorie,$znacka,$nazev,$cena);
      $dotaz->execute();
      // v nadpisech tabulky odkazy pro řazení
      echo "<table>";
      echo "<tr><th><a href='vyhledavani_razeni.php?razeni=kategorie&amp;hledat={$_GET["hledat"]}'>Kategorie</a></th><th><a href='vyhledavani_razeni.php?razeni=znacka&amp;hledat={$_GET["hledat"]}'>Značka</a></th><th><a href='vyhledavani_razeni.php?razeni=nazev&amp;hledat={$_GET["hledat"]}'>Název</a></th><th><a href='vyhledavani_razeni.php?razeni=cena&amp;hledat={$_GET["hledat"]}'>Cena</a></th></tr>\n";
      while($dotaz->fetch()){
        echo "<tr><td>$kategorie</td><td>$znacka</td><td>$nazev</td><td>$cena</td></tr>\n";
      }
      echo "</table>";
      $dotaz->close();
      ?>
    </article>
  </div>
  </body>
</html>
