<!doctype html>
<html>
  <head>
    <title>Příklady PHP</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="ukazky.css">
    <style>
      form {margin-bottom: 10px;}
      input[type=text] {width: 250px;}
      input[type=submit], form a {background-color:rgb(88,21,6) ; color:white; border-color: rgb(88,21,6);}
      form a {font-size: 95%; text-decoration: none; border: 1px solid rgb(88,21,6); padding: 0px 8px ;}
      th:nth-child(4),td:nth-child(4) {text-align: right;}
      th:nth-child(5),td:nth-child(5),td:nth-child(6) {text-align: center;}
      select {margin-left: 5px; width: 142px;}
      form a {margin-left: 5px;}
    </style>
  </head>
  <body>
  <div>
    <header>PHP administrace - databáze výrobky</header>
    <nav><?php include "menu.php"; ?></nav>
    <article>
      <h1>Administrace databáze - vložení, upravení a mazání záznamů</h1>
      <form method="get">
        <input type="text" name="hledat" placeholder="Zadejte název nebo jeho část">
        <input type="submit" value="Najít">
        <select name="kategorie">
          <option value="">Vyberte kategorii</option>
          <?php
          include "spojeni.php";  //připojení k MySQL a nastavení UTF8 - objekt $spojeni

          //načtení záznamů z tabulky kategorie a vypsání do option selectu
          $dotaz=$spojeni->prepare("SELECT id,kategorie FROM kategorie ORDER BY kategorie");
          $dotaz->bind_result($id,$kategorie);
          $dotaz->execute();
          while($dotaz->fetch()){
            echo "<option value='$id'>$kategorie</option>";
          }
          $dotaz->close();

          ?>
        </select>
        <input type="submit" value="Zobrazit zvolenou kategorii">
        <a href="vypis_administrace.php">Zobrazit vše</a>
      </form>
      <?php

      if(isset($_GET["hledat"]) && $_GET["hledat"]!=""){
        // $_GET["hledat"] existuje, pokud se odeslal formulář s hledaným textem
        // ošetření SQL injection
        $_GET["hledat"]=$spojeni->real_escape_string($_GET["hledat"]);
        $podminka="WHERE vyrobky.nazev LIKE '%{$_GET["hledat"]}%'";
      }
      elseif(isset($_GET["kategorie"]) && $_GET["kategorie"]!=""){
        // $_GET["kategorie"] existuje, pokud se odeslal formulář s vybranou kategorií
        $podminka="WHERE vyrobky.id_kategorie={$_GET["kategorie"]}";
      }
      else {
        $_GET["hledat"]="";
        $_GET["kategorie"]="";
        $podminka="";
      }

      //získání čísla stránky po kliknutí na odkaz na předchozí či další stránku
      if(isset($_GET["strana"])){
        $strana=strval($_GET["strana"]);  // převedení na číslo
      }
      else {$strana=1;}

      //načtení dat z tabulek
      $dotaz=$spojeni->prepare("SELECT vyrobky.id,kategorie.kategorie,vyrobci.nazev AS znacka,vyrobky.nazev,cena FROM vyrobky JOIN kategorie ON vyrobky.id_kategorie=kategorie.id JOIN vyrobci ON vyrobky.id_vyrobce=vyrobci.id $podminka ORDER BY nazev LIMIT ".($strana*10-10).",10");
      $dotaz->bind_result($id,$kategorie,$znacka,$nazev,$cena);
      $dotaz->execute();
      //výpis dat do tabulky
      echo "<table>";
      echo "<tr><th>Kategorie</th><th>Značka</th><th>Název</th><th>Cena</th><th colspan='2'><a href='vlozeni.php'>vložit nový záznam</a></th></tr>\n";
      while($dotaz->fetch()){
        echo "<tr><td>$kategorie</td><td>$znacka</td><td><a href='zobrazeni.php?id=$id'>$nazev</a></td><td>$cena</td><td><a href='upraveni.php?id=$id'>upravit</a></td><td><a href='smazani.php?id=$id'>smazat</a></td></tr>\n";
      }
      echo "</table>";
      //odkazy na předchozí a další stránku
      echo "<div class='stranky'>";
      if($strana>1){echo "<a href='vypis_administrace.php?strana=".($strana-1)."&amp;hledat={$_GET["hledat"]}&amp;kategorie={$_GET["kategorie"]}'>«&nbsp;předchozí</a>";}
      echo "<span>strana $strana</span>";
      //$dotaz->store_result();
      if($dotaz->num_rows==10){echo "<a href='vypis_administrace.php?strana=".($strana+1)."&amp;hledat={$_GET["hledat"]}&amp;kategorie={$_GET["kategorie"]}'>další&nbsp;»</a>";}
      echo "</div>";
      $dotaz->close();
      ?>



    </article>
  </div>
  </body>
</html>
