<!doctype html>
<html>
  <head>
    <title>Příklady PHP</title>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="ukazky.css">
    <style>
      h2 {margin: 20px 0px 5px 0px;}
      p {margin: 2px 0px 5px 15px;}
    </style>
  </head>
  <body>
  <div>
    <header>PHP výpisy - databáze výrobky</header>
    <nav><?php include "menu.php"; ?></nav>
    <article>
    <h1>Výpis dat do různých html značek s&nbsp;odkazem na detailní zobrazení záznamu</h1>
    <?php
    //připojení k MySQL
    include "spojeni.php";
    //získání čísla stránky po kliknutí na odkaz na předchozí či další stránku
    if(isset($_GET["strana"])){
      $strana=strval($_GET["strana"]);  // převedení na číslo
    }
    else {$strana=1;}
    //načtení dat z tabulek
    if(isset($_GET["razeni"])){$razeni=$spojeni->real_escape_string($_GET["razeni"]);}
    else {$razeni="nazev";}
    $dotaz=$spojeni->prepare("SELECT vyrobky.id,kategorie.kategorie,vyrobci.nazev AS znacka,vyrobky.nazev,cena,skladem,stav,popis FROM vyrobky JOIN kategorie ON vyrobky.id_kategorie=kategorie.id JOIN vyrobci ON vyrobky.id_vyrobce=vyrobci.id ORDER BY vyrobky.nazev LIMIT ".($strana*3-3).",3");
    $dotaz->bind_result($id,$kategorie,$znacka,$nazev,$cena,$skladem,$stav,$popis);
    $dotaz->execute();
    //výpis dat do bloku
    echo "<div>";
    while($dotaz->fetch()){
      echo "<h2><a href='detail.php?id=$id'>$nazev</a> - $cena Kč</h2>";
      echo "<p>$kategorie - $znacka</p>";
      echo "<p>".substr($popis,0,100)."...&nbsp;<a href='detail.php?id=$id'>»</a></p>";   //substr - zkrácení popisu
    }
    echo "</div>";
    //odkazy na předchozí a další stránku
    echo "<div class='stranky'>";
    if($strana>1){echo "<a href='vypis_detail.php?strana=".($strana-1)."'>«&nbsp;předchozí</a>";}
    echo "<span>strana $strana</span>";
    //$dotaz->store_result();
    if($dotaz->num_rows==3){echo "<a href='vypis_detail.php?strana=".($strana+1)."'>další&nbsp;»</a>";}
    echo "</div>";
    $dotaz->close();
    ?>
    </article>
  </div>
  </body>
</html>
